ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/svn/ircd-hybrid-7.2/configure
(Generate patch)

Comparing ircd-hybrid-7.2/configure (file contents):
Revision 912 by michael, Wed Nov 7 22:47:44 2007 UTC vs.
Revision 924 by michael, Mon Nov 12 20:31:07 2007 UTC

# Line 1501 | Line 1501 | Optional Features:
1501    --enable-fast-install[=PKGS]
1502                            optimize for fast installation [default=yes]
1503    --disable-libtool-lock  avoid locking (might break parallel builds)
1504 +  --disable-zlib          Disable ziplinks support
1505    --enable-openssl=DIR       Enable OpenSSL support (DIR optional).
1506    --disable-openssl            Disable OpenSSL support.
1507 +  --enable-assert         Enable assert() statements
1508    --enable-kqueue         Force kqueue usage.
1509    --enable-epoll          Force epoll usage.
1510    --enable-devpoll        Force devpoll usage.
# Line 1524 | Line 1526 | Optional Packages:
1526    --with-pic              try to use only PIC/non-PIC objects [default=use
1527                            both]
1528    --with-tags[=TAGS]      include additional configurations [automatic]
1529 +  --with-zlib-path=DIR    Path to libz.so for ziplinks support.
1530    --with-nicklen=<value>  Set nickname length (default 9).
1528  --with-userlen=<value>  Set username length (default 9).
1529  --with-hostlen=<value>  Set username length (default 62).
1531    --with-topiclen=<value> Set topic length (default 160).
1532    --lclient-heap-size=<value>
1533                            Set local client heap size (default 256).
# Line 1541 | Line 1542 | Optional Packages:
1542    --ban-heap-size=<value> Set ban heap size (default 128).
1543    --topic-heap-size=<value>
1544                            Set topic heap size (default 256).
1544  --ircd-heap-size=<value>
1545                          Set ircd heap size (default 8).
1546  --mqueue-size=<value>   Set mqueue heap size (default 256).
1547  --fmsg-size=<value>     Set fmsg heap size (default 256).
1545    --nickname-history-length=<value>
1546                            Set length of nickname history list (default 1500).
1547    --with-syslog-facility=LOG
# Line 2523 | Line 2520 | ac_config_headers="$ac_config_headers co
2520  
2521  
2522  
2523 +
2524   #ltdl stuff
2525    case $enable_ltdl_convenience in
2526    no) { { echo "$as_me:$LINENO: error: this package needs a convenience libltdl" >&5
# Line 2590 | Line 2588 | fi
2588  
2589  
2590  
2591 +
2592   # Checks for programs.
2593   ac_ext=c
2594   ac_cpp='$CPP $CPPFLAGS'
# Line 4770 | Line 4769 | ia64-*-hpux*)
4769    ;;
4770   *-*-irix6*)
4771    # Find out which ABI we are using.
4772 <  echo '#line 4773 "configure"' > conftest.$ac_ext
4772 >  echo '#line 4772 "configure"' > conftest.$ac_ext
4773    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4774    (eval $ac_compile) 2>&5
4775    ac_status=$?
# Line 7507 | Line 7506 | else
7506     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7507     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7508     -e 's:$: $lt_compiler_flag:'`
7509 <   (eval echo "\"\$as_me:7510: $lt_compile\"" >&5)
7509 >   (eval echo "\"\$as_me:7509: $lt_compile\"" >&5)
7510     (eval "$lt_compile" 2>conftest.err)
7511     ac_status=$?
7512     cat conftest.err >&5
7513 <   echo "$as_me:7514: \$? = $ac_status" >&5
7513 >   echo "$as_me:7513: \$? = $ac_status" >&5
7514     if (exit $ac_status) && test -s "$ac_outfile"; then
7515       # The compiler can only warn and ignore the option if not recognized
7516       # So say no if there are warnings other than the usual output.
# Line 7797 | Line 7796 | else
7796     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7797     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7798     -e 's:$: $lt_compiler_flag:'`
7799 <   (eval echo "\"\$as_me:7800: $lt_compile\"" >&5)
7799 >   (eval echo "\"\$as_me:7799: $lt_compile\"" >&5)
7800     (eval "$lt_compile" 2>conftest.err)
7801     ac_status=$?
7802     cat conftest.err >&5
7803 <   echo "$as_me:7804: \$? = $ac_status" >&5
7803 >   echo "$as_me:7803: \$? = $ac_status" >&5
7804     if (exit $ac_status) && test -s "$ac_outfile"; then
7805       # The compiler can only warn and ignore the option if not recognized
7806       # So say no if there are warnings other than the usual output.
# Line 7901 | Line 7900 | else
7900     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7901     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7902     -e 's:$: $lt_compiler_flag:'`
7903 <   (eval echo "\"\$as_me:7904: $lt_compile\"" >&5)
7903 >   (eval echo "\"\$as_me:7903: $lt_compile\"" >&5)
7904     (eval "$lt_compile" 2>out/conftest.err)
7905     ac_status=$?
7906     cat out/conftest.err >&5
7907 <   echo "$as_me:7908: \$? = $ac_status" >&5
7907 >   echo "$as_me:7907: \$? = $ac_status" >&5
7908     if (exit $ac_status) && test -s out/conftest2.$ac_objext
7909     then
7910       # The compiler can only warn and ignore the option if not recognized
# Line 10250 | Line 10249 | else
10249    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
10250    lt_status=$lt_dlunknown
10251    cat > conftest.$ac_ext <<EOF
10252 < #line 10253 "configure"
10252 > #line 10252 "configure"
10253   #include "confdefs.h"
10254  
10255   #if HAVE_DLFCN_H
# Line 10350 | Line 10349 | else
10349    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
10350    lt_status=$lt_dlunknown
10351    cat > conftest.$ac_ext <<EOF
10352 < #line 10353 "configure"
10352 > #line 10352 "configure"
10353   #include "confdefs.h"
10354  
10355   #if HAVE_DLFCN_H
# Line 12770 | Line 12769 | else
12769     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12770     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12771     -e 's:$: $lt_compiler_flag:'`
12772 <   (eval echo "\"\$as_me:12773: $lt_compile\"" >&5)
12772 >   (eval echo "\"\$as_me:12772: $lt_compile\"" >&5)
12773     (eval "$lt_compile" 2>conftest.err)
12774     ac_status=$?
12775     cat conftest.err >&5
12776 <   echo "$as_me:12777: \$? = $ac_status" >&5
12776 >   echo "$as_me:12776: \$? = $ac_status" >&5
12777     if (exit $ac_status) && test -s "$ac_outfile"; then
12778       # The compiler can only warn and ignore the option if not recognized
12779       # So say no if there are warnings other than the usual output.
# Line 12874 | Line 12873 | else
12873     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12874     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12875     -e 's:$: $lt_compiler_flag:'`
12876 <   (eval echo "\"\$as_me:12877: $lt_compile\"" >&5)
12876 >   (eval echo "\"\$as_me:12876: $lt_compile\"" >&5)
12877     (eval "$lt_compile" 2>out/conftest.err)
12878     ac_status=$?
12879     cat out/conftest.err >&5
12880 <   echo "$as_me:12881: \$? = $ac_status" >&5
12880 >   echo "$as_me:12880: \$? = $ac_status" >&5
12881     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12882     then
12883       # The compiler can only warn and ignore the option if not recognized
# Line 14436 | Line 14435 | else
14435     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
14436     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14437     -e 's:$: $lt_compiler_flag:'`
14438 <   (eval echo "\"\$as_me:14439: $lt_compile\"" >&5)
14438 >   (eval echo "\"\$as_me:14438: $lt_compile\"" >&5)
14439     (eval "$lt_compile" 2>conftest.err)
14440     ac_status=$?
14441     cat conftest.err >&5
14442 <   echo "$as_me:14443: \$? = $ac_status" >&5
14442 >   echo "$as_me:14442: \$? = $ac_status" >&5
14443     if (exit $ac_status) && test -s "$ac_outfile"; then
14444       # The compiler can only warn and ignore the option if not recognized
14445       # So say no if there are warnings other than the usual output.
# Line 14540 | Line 14539 | else
14539     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
14540     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14541     -e 's:$: $lt_compiler_flag:'`
14542 <   (eval echo "\"\$as_me:14543: $lt_compile\"" >&5)
14542 >   (eval echo "\"\$as_me:14542: $lt_compile\"" >&5)
14543     (eval "$lt_compile" 2>out/conftest.err)
14544     ac_status=$?
14545     cat out/conftest.err >&5
14546 <   echo "$as_me:14547: \$? = $ac_status" >&5
14546 >   echo "$as_me:14546: \$? = $ac_status" >&5
14547     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14548     then
14549       # The compiler can only warn and ignore the option if not recognized
# Line 16727 | Line 16726 | else
16726     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
16727     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
16728     -e 's:$: $lt_compiler_flag:'`
16729 <   (eval echo "\"\$as_me:16730: $lt_compile\"" >&5)
16729 >   (eval echo "\"\$as_me:16729: $lt_compile\"" >&5)
16730     (eval "$lt_compile" 2>conftest.err)
16731     ac_status=$?
16732     cat conftest.err >&5
16733 <   echo "$as_me:16734: \$? = $ac_status" >&5
16733 >   echo "$as_me:16733: \$? = $ac_status" >&5
16734     if (exit $ac_status) && test -s "$ac_outfile"; then
16735       # The compiler can only warn and ignore the option if not recognized
16736       # So say no if there are warnings other than the usual output.
# Line 17017 | Line 17016 | else
17016     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
17017     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
17018     -e 's:$: $lt_compiler_flag:'`
17019 <   (eval echo "\"\$as_me:17020: $lt_compile\"" >&5)
17019 >   (eval echo "\"\$as_me:17019: $lt_compile\"" >&5)
17020     (eval "$lt_compile" 2>conftest.err)
17021     ac_status=$?
17022     cat conftest.err >&5
17023 <   echo "$as_me:17024: \$? = $ac_status" >&5
17023 >   echo "$as_me:17023: \$? = $ac_status" >&5
17024     if (exit $ac_status) && test -s "$ac_outfile"; then
17025       # The compiler can only warn and ignore the option if not recognized
17026       # So say no if there are warnings other than the usual output.
# Line 17121 | Line 17120 | else
17120     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
17121     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
17122     -e 's:$: $lt_compiler_flag:'`
17123 <   (eval echo "\"\$as_me:17124: $lt_compile\"" >&5)
17123 >   (eval echo "\"\$as_me:17123: $lt_compile\"" >&5)
17124     (eval "$lt_compile" 2>out/conftest.err)
17125     ac_status=$?
17126     cat out/conftest.err >&5
17127 <   echo "$as_me:17128: \$? = $ac_status" >&5
17127 >   echo "$as_me:17127: \$? = $ac_status" >&5
17128     if (exit $ac_status) && test -s out/conftest2.$ac_objext
17129     then
17130       # The compiler can only warn and ignore the option if not recognized
# Line 19775 | Line 19774 | LIBTOOL='$(SHELL) $(top_builddir)/libtoo
19774  
19775   LIBTOOL="$LIBTOOL --silent"
19776  
19777 +
19778   # Checks for libraries.
19779  
19780    { echo "$as_me:$LINENO: checking for library containing socket" >&5
# Line 20323 | Line 20323 | fi
20323  
20324  
20325  
20326        { echo "$as_me:$LINENO: checking for library containing crypt" >&5
20327 echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
20328 if test "${ac_cv_search_crypt+set}" = set; then
20329  echo $ECHO_N "(cached) $ECHO_C" >&6
20330 else
20331  ac_func_search_save_LIBS=$LIBS
20332 cat >conftest.$ac_ext <<_ACEOF
20333 /* confdefs.h.  */
20334 _ACEOF
20335 cat confdefs.h >>conftest.$ac_ext
20336 cat >>conftest.$ac_ext <<_ACEOF
20337 /* end confdefs.h.  */
20338
20339 /* Override any GCC internal prototype to avoid an error.
20340   Use char because int might match the return type of a GCC
20341   builtin and then its argument prototype would still apply.  */
20342 #ifdef __cplusplus
20343 extern "C"
20344 #endif
20345 char crypt ();
20346 int
20347 main ()
20348 {
20349 return crypt ();
20350  ;
20351  return 0;
20352 }
20353 _ACEOF
20354 for ac_lib in '' crypt descrypt; do
20355  if test -z "$ac_lib"; then
20356    ac_res="none required"
20357  else
20358    ac_res=-l$ac_lib
20359    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
20360  fi
20361  rm -f conftest.$ac_objext conftest$ac_exeext
20362 if { (ac_try="$ac_link"
20363 case "(($ac_try" in
20364  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20365  *) ac_try_echo=$ac_try;;
20366 esac
20367 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20368  (eval "$ac_link") 2>conftest.er1
20369  ac_status=$?
20370  grep -v '^ *+' conftest.er1 >conftest.err
20371  rm -f conftest.er1
20372  cat conftest.err >&5
20373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20374  (exit $ac_status); } && {
20375         test -z "$ac_c_werror_flag" ||
20376         test ! -s conftest.err
20377       } && test -s conftest$ac_exeext &&
20378       $as_test_x conftest$ac_exeext; then
20379  ac_cv_search_crypt=$ac_res
20380 else
20381  echo "$as_me: failed program was:" >&5
20382 sed 's/^/| /' conftest.$ac_ext >&5
20383
20384
20385 fi
20386
20387 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
20388      conftest$ac_exeext
20389  if test "${ac_cv_search_crypt+set}" = set; then
20390  break
20391 fi
20392 done
20393 if test "${ac_cv_search_crypt+set}" = set; then
20394  :
20395 else
20396  ac_cv_search_crypt=no
20397 fi
20398 rm conftest.$ac_ext
20399 LIBS=$ac_func_search_save_LIBS
20400 fi
20401 { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
20402 echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
20403 ac_res=$ac_cv_search_crypt
20404 if test "$ac_res" != no; then
20405  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
20406
20407 fi
20408
20409   if test "$ac_cv_search_crypt" = "none required"; then
20410  HAVE_CRYPT_TRUE=
20411  HAVE_CRYPT_FALSE='#'
20412 else
20413  HAVE_CRYPT_TRUE='#'
20414  HAVE_CRYPT_FALSE=
20415 fi
20416
20417
20418
20419 # Checks for header files.
20420
20421 for ac_header in sys/resource.h
20422 do
20423 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
20424 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20425  { echo "$as_me:$LINENO: checking for $ac_header" >&5
20426 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
20427 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20428  echo $ECHO_N "(cached) $ECHO_C" >&6
20429 fi
20430 ac_res=`eval echo '${'$as_ac_Header'}'`
20431               { echo "$as_me:$LINENO: result: $ac_res" >&5
20432 echo "${ECHO_T}$ac_res" >&6; }
20433 else
20434  # Is the header compilable?
20435 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
20436 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
20437 cat >conftest.$ac_ext <<_ACEOF
20438 /* confdefs.h.  */
20439 _ACEOF
20440 cat confdefs.h >>conftest.$ac_ext
20441 cat >>conftest.$ac_ext <<_ACEOF
20442 /* end confdefs.h.  */
20443 $ac_includes_default
20444 #include <$ac_header>
20445 _ACEOF
20446 rm -f conftest.$ac_objext
20447 if { (ac_try="$ac_compile"
20448 case "(($ac_try" in
20449  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20450  *) ac_try_echo=$ac_try;;
20451 esac
20452 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20453  (eval "$ac_compile") 2>conftest.er1
20454  ac_status=$?
20455  grep -v '^ *+' conftest.er1 >conftest.err
20456  rm -f conftest.er1
20457  cat conftest.err >&5
20458  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20459  (exit $ac_status); } && {
20460         test -z "$ac_c_werror_flag" ||
20461         test ! -s conftest.err
20462       } && test -s conftest.$ac_objext; then
20463  ac_header_compiler=yes
20464 else
20465  echo "$as_me: failed program was:" >&5
20466 sed 's/^/| /' conftest.$ac_ext >&5
20467
20468        ac_header_compiler=no
20469 fi
20470
20471 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
20472 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
20473 echo "${ECHO_T}$ac_header_compiler" >&6; }
20474
20475 # Is the header present?
20476 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
20477 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
20478 cat >conftest.$ac_ext <<_ACEOF
20479 /* confdefs.h.  */
20480 _ACEOF
20481 cat confdefs.h >>conftest.$ac_ext
20482 cat >>conftest.$ac_ext <<_ACEOF
20483 /* end confdefs.h.  */
20484 #include <$ac_header>
20485 _ACEOF
20486 if { (ac_try="$ac_cpp conftest.$ac_ext"
20487 case "(($ac_try" in
20488  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20489  *) ac_try_echo=$ac_try;;
20490 esac
20491 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20492  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
20493  ac_status=$?
20494  grep -v '^ *+' conftest.er1 >conftest.err
20495  rm -f conftest.er1
20496  cat conftest.err >&5
20497  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20498  (exit $ac_status); } >/dev/null && {
20499         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
20500         test ! -s conftest.err
20501       }; then
20502  ac_header_preproc=yes
20503 else
20504  echo "$as_me: failed program was:" >&5
20505 sed 's/^/| /' conftest.$ac_ext >&5
20506
20507  ac_header_preproc=no
20508 fi
20509
20510 rm -f conftest.err conftest.$ac_ext
20511 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
20512 echo "${ECHO_T}$ac_header_preproc" >&6; }
20513
20514 # So?  What about this header?
20515 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
20516  yes:no: )
20517    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
20518 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
20519    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
20520 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
20521    ac_header_preproc=yes
20522    ;;
20523  no:yes:* )
20524    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
20525 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
20526    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
20527 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
20528    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
20529 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
20530    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
20531 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
20532    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
20533 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
20534    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
20535 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
20536
20537    ;;
20538 esac
20539 { echo "$as_me:$LINENO: checking for $ac_header" >&5
20540 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
20541 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20542  echo $ECHO_N "(cached) $ECHO_C" >&6
20543 else
20544  eval "$as_ac_Header=\$ac_header_preproc"
20545 fi
20546 ac_res=`eval echo '${'$as_ac_Header'}'`
20547               { echo "$as_me:$LINENO: result: $ac_res" >&5
20548 echo "${ECHO_T}$ac_res" >&6; }
20549
20550 fi
20551 if test `eval echo '${'$as_ac_Header'}'` = yes; then
20552  cat >>confdefs.h <<_ACEOF
20553 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
20554 _ACEOF
20555
20556 fi
20557
20558 done
20559 # ick
20326  
20327   # Checks for typedefs, structures, and compiler characteristics.
20328   { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
# Line 22132 | Line 21898 | done
21898  
21899  
21900  
21901 + # Checks for header files.
21902  
21903  
21904  
# Line 22328 | Line 22095 | done
22095  
22096  
22097  
22098 +
22099 + { echo "$as_me:$LINENO: checking for /dev/null" >&5
22100 + echo $ECHO_N "checking for /dev/null... $ECHO_C" >&6; }
22101 + if test -c /dev/null ; then
22102 +
22103 + cat >>confdefs.h <<\_ACEOF
22104 + #define PATH_DEVNULL "/dev/null"
22105 + _ACEOF
22106 +
22107 +  { echo "$as_me:$LINENO: result: yes" >&5
22108 + echo "${ECHO_T}yes" >&6; }
22109 + else
22110 +
22111 + cat >>confdefs.h <<\_ACEOF
22112 + #define PATH_DEVNULL "devnull.log"
22113 + _ACEOF
22114 +
22115 +  { echo "$as_me:$LINENO: result: no - using devnull.log" >&5
22116 + echo "${ECHO_T}no - using devnull.log" >&6; }
22117 + fi
22118 +
22119 +
22120 + { echo "$as_me:$LINENO: checking for library containing crypt" >&5
22121 + echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
22122 + if test "${ac_cv_search_crypt+set}" = set; then
22123 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22124 + else
22125 +  ac_func_search_save_LIBS=$LIBS
22126 + cat >conftest.$ac_ext <<_ACEOF
22127 + /* confdefs.h.  */
22128 + _ACEOF
22129 + cat confdefs.h >>conftest.$ac_ext
22130 + cat >>conftest.$ac_ext <<_ACEOF
22131 + /* end confdefs.h.  */
22132 +
22133 + /* Override any GCC internal prototype to avoid an error.
22134 +   Use char because int might match the return type of a GCC
22135 +   builtin and then its argument prototype would still apply.  */
22136 + #ifdef __cplusplus
22137 + extern "C"
22138 + #endif
22139 + char crypt ();
22140 + int
22141 + main ()
22142 + {
22143 + return crypt ();
22144 +  ;
22145 +  return 0;
22146 + }
22147 + _ACEOF
22148 + for ac_lib in '' crypt descrypt; do
22149 +  if test -z "$ac_lib"; then
22150 +    ac_res="none required"
22151 +  else
22152 +    ac_res=-l$ac_lib
22153 +    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
22154 +  fi
22155 +  rm -f conftest.$ac_objext conftest$ac_exeext
22156 + if { (ac_try="$ac_link"
22157 + case "(($ac_try" in
22158 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22159 +  *) ac_try_echo=$ac_try;;
22160 + esac
22161 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22162 +  (eval "$ac_link") 2>conftest.er1
22163 +  ac_status=$?
22164 +  grep -v '^ *+' conftest.er1 >conftest.err
22165 +  rm -f conftest.er1
22166 +  cat conftest.err >&5
22167 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22168 +  (exit $ac_status); } && {
22169 +         test -z "$ac_c_werror_flag" ||
22170 +         test ! -s conftest.err
22171 +       } && test -s conftest$ac_exeext &&
22172 +       $as_test_x conftest$ac_exeext; then
22173 +  ac_cv_search_crypt=$ac_res
22174 + else
22175 +  echo "$as_me: failed program was:" >&5
22176 + sed 's/^/| /' conftest.$ac_ext >&5
22177 +
22178 +
22179 + fi
22180 +
22181 + rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22182 +      conftest$ac_exeext
22183 +  if test "${ac_cv_search_crypt+set}" = set; then
22184 +  break
22185 + fi
22186 + done
22187 + if test "${ac_cv_search_crypt+set}" = set; then
22188 +  :
22189 + else
22190 +  ac_cv_search_crypt=no
22191 + fi
22192 + rm conftest.$ac_ext
22193 + LIBS=$ac_func_search_save_LIBS
22194 + fi
22195 + { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
22196 + echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
22197 + ac_res=$ac_cv_search_crypt
22198 + if test "$ac_res" != no; then
22199 +  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
22200 +
22201 + fi
22202 +
22203 + if test "$ac_cv_search_crypt" = "none required"; then
22204 +  HAVE_CRYPT_TRUE=
22205 +  HAVE_CRYPT_FALSE='#'
22206 + else
22207 +  HAVE_CRYPT_TRUE='#'
22208 +  HAVE_CRYPT_FALSE=
22209 + fi
22210 +
22211 +
22212 +
22213 +
22214 + # Check whether --with-zlib-path was given.
22215 + if test "${with_zlib_path+set}" = set; then
22216 +  withval=$with_zlib_path; LDFLAGS="-L$withval $LDFLAGS"
22217 + fi
22218 +
22219 +
22220 + # Check whether --enable-zlib was given.
22221 + if test "${enable_zlib+set}" = set; then
22222 +  enableval=$enable_zlib; zlib=$enableval
22223 + else
22224 +  zlib=yes
22225 + fi
22226 +
22227 +
22228 + if test "$zlib" = yes; then
22229 +  if test "${ac_cv_header_zlib_h+set}" = set; then
22230 +  { echo "$as_me:$LINENO: checking for zlib.h" >&5
22231 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22232 + if test "${ac_cv_header_zlib_h+set}" = set; then
22233 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22234 + fi
22235 + { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22236 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22237 + else
22238 +  # Is the header compilable?
22239 + { echo "$as_me:$LINENO: checking zlib.h usability" >&5
22240 + echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6; }
22241 + cat >conftest.$ac_ext <<_ACEOF
22242 + /* confdefs.h.  */
22243 + _ACEOF
22244 + cat confdefs.h >>conftest.$ac_ext
22245 + cat >>conftest.$ac_ext <<_ACEOF
22246 + /* end confdefs.h.  */
22247 + $ac_includes_default
22248 + #include <zlib.h>
22249 + _ACEOF
22250 + rm -f conftest.$ac_objext
22251 + if { (ac_try="$ac_compile"
22252 + case "(($ac_try" in
22253 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22254 +  *) ac_try_echo=$ac_try;;
22255 + esac
22256 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22257 +  (eval "$ac_compile") 2>conftest.er1
22258 +  ac_status=$?
22259 +  grep -v '^ *+' conftest.er1 >conftest.err
22260 +  rm -f conftest.er1
22261 +  cat conftest.err >&5
22262 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22263 +  (exit $ac_status); } && {
22264 +         test -z "$ac_c_werror_flag" ||
22265 +         test ! -s conftest.err
22266 +       } && test -s conftest.$ac_objext; then
22267 +  ac_header_compiler=yes
22268 + else
22269 +  echo "$as_me: failed program was:" >&5
22270 + sed 's/^/| /' conftest.$ac_ext >&5
22271 +
22272 +        ac_header_compiler=no
22273 + fi
22274 +
22275 + rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
22276 + { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
22277 + echo "${ECHO_T}$ac_header_compiler" >&6; }
22278 +
22279 + # Is the header present?
22280 + { echo "$as_me:$LINENO: checking zlib.h presence" >&5
22281 + echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6; }
22282 + cat >conftest.$ac_ext <<_ACEOF
22283 + /* confdefs.h.  */
22284 + _ACEOF
22285 + cat confdefs.h >>conftest.$ac_ext
22286 + cat >>conftest.$ac_ext <<_ACEOF
22287 + /* end confdefs.h.  */
22288 + #include <zlib.h>
22289 + _ACEOF
22290 + if { (ac_try="$ac_cpp conftest.$ac_ext"
22291 + case "(($ac_try" in
22292 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22293 +  *) ac_try_echo=$ac_try;;
22294 + esac
22295 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22296 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
22297 +  ac_status=$?
22298 +  grep -v '^ *+' conftest.er1 >conftest.err
22299 +  rm -f conftest.er1
22300 +  cat conftest.err >&5
22301 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22302 +  (exit $ac_status); } >/dev/null && {
22303 +         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
22304 +         test ! -s conftest.err
22305 +       }; then
22306 +  ac_header_preproc=yes
22307 + else
22308 +  echo "$as_me: failed program was:" >&5
22309 + sed 's/^/| /' conftest.$ac_ext >&5
22310 +
22311 +  ac_header_preproc=no
22312 + fi
22313 +
22314 + rm -f conftest.err conftest.$ac_ext
22315 + { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
22316 + echo "${ECHO_T}$ac_header_preproc" >&6; }
22317 +
22318 + # So?  What about this header?
22319 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
22320 +  yes:no: )
22321 +    { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
22322 + echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
22323 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
22324 + echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
22325 +    ac_header_preproc=yes
22326 +    ;;
22327 +  no:yes:* )
22328 +    { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
22329 + echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
22330 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     check for missing prerequisite headers?" >&5
22331 + echo "$as_me: WARNING: zlib.h:     check for missing prerequisite headers?" >&2;}
22332 +    { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
22333 + echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
22334 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&5
22335 + echo "$as_me: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&2;}
22336 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
22337 + echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
22338 +    { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
22339 + echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
22340 +
22341 +    ;;
22342 + esac
22343 + { echo "$as_me:$LINENO: checking for zlib.h" >&5
22344 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22345 + if test "${ac_cv_header_zlib_h+set}" = set; then
22346 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22347 + else
22348 +  ac_cv_header_zlib_h=$ac_header_preproc
22349 + fi
22350 + { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22351 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22352 +
22353 + fi
22354 + if test $ac_cv_header_zlib_h = yes; then
22355 +  { echo "$as_me:$LINENO: checking for zlibVersion in -lz" >&5
22356 + echo $ECHO_N "checking for zlibVersion in -lz... $ECHO_C" >&6; }
22357 + if test "${ac_cv_lib_z_zlibVersion+set}" = set; then
22358 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22359 + else
22360 +  ac_check_lib_save_LIBS=$LIBS
22361 + LIBS="-lz  $LIBS"
22362 + cat >conftest.$ac_ext <<_ACEOF
22363 + /* confdefs.h.  */
22364 + _ACEOF
22365 + cat confdefs.h >>conftest.$ac_ext
22366 + cat >>conftest.$ac_ext <<_ACEOF
22367 + /* end confdefs.h.  */
22368 +
22369 + /* Override any GCC internal prototype to avoid an error.
22370 +   Use char because int might match the return type of a GCC
22371 +   builtin and then its argument prototype would still apply.  */
22372 + #ifdef __cplusplus
22373 + extern "C"
22374 + #endif
22375 + char zlibVersion ();
22376 + int
22377 + main ()
22378 + {
22379 + return zlibVersion ();
22380 +  ;
22381 +  return 0;
22382 + }
22383 + _ACEOF
22384 + rm -f conftest.$ac_objext conftest$ac_exeext
22385 + if { (ac_try="$ac_link"
22386 + case "(($ac_try" in
22387 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22388 +  *) ac_try_echo=$ac_try;;
22389 + esac
22390 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22391 +  (eval "$ac_link") 2>conftest.er1
22392 +  ac_status=$?
22393 +  grep -v '^ *+' conftest.er1 >conftest.err
22394 +  rm -f conftest.er1
22395 +  cat conftest.err >&5
22396 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22397 +  (exit $ac_status); } && {
22398 +         test -z "$ac_c_werror_flag" ||
22399 +         test ! -s conftest.err
22400 +       } && test -s conftest$ac_exeext &&
22401 +       $as_test_x conftest$ac_exeext; then
22402 +  ac_cv_lib_z_zlibVersion=yes
22403 + else
22404 +  echo "$as_me: failed program was:" >&5
22405 + sed 's/^/| /' conftest.$ac_ext >&5
22406 +
22407 +        ac_cv_lib_z_zlibVersion=no
22408 + fi
22409 +
22410 + rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22411 +      conftest$ac_exeext conftest.$ac_ext
22412 + LIBS=$ac_check_lib_save_LIBS
22413 + fi
22414 + { echo "$as_me:$LINENO: result: $ac_cv_lib_z_zlibVersion" >&5
22415 + echo "${ECHO_T}$ac_cv_lib_z_zlibVersion" >&6; }
22416 + if test $ac_cv_lib_z_zlibVersion = yes; then
22417 +
22418 +      LIBS="-lz $LIBS"
22419 +
22420 + cat >>confdefs.h <<\_ACEOF
22421 + #define HAVE_LIBZ 1
22422 + _ACEOF
22423 +
22424 +
22425 + else
22426 +  zlib=no
22427 + fi
22428 +
22429 +
22430 + else
22431 +  zlib=no
22432 + fi
22433 +
22434 +
22435 + fi
22436 +
22437 +
22438   # Check whether --enable-openssl was given.
22439   if test "${enable_openssl+set}" = set; then
22440    enableval=$enable_openssl;  cf_enable_openssl=$enableval
# Line 22371 | Line 22478 | if test "$cf_enable_openssl" != "no"; th
22478      { echo "$as_me:$LINENO: result: $cf_openssl_basedir" >&5
22479   echo "${ECHO_T}$cf_openssl_basedir" >&6; }
22480      cf_enable_openssl="yes"
22481 <    cat >>confdefs.h <<\_ACEOF
22481 >
22482 > cat >>confdefs.h <<\_ACEOF
22483   #define HAVE_LIBCRYPTO 1
22484   _ACEOF
22485  
# Line 22385 | Line 22493 | else
22493      { echo "$as_me:$LINENO: result: disabled" >&5
22494   echo "${ECHO_T}disabled" >&6; }
22495   fi
22496 < if test x"$cf_enable_openssl" = xyes; then
22496 > if test "$cf_enable_openssl" = yes; then
22497    ENABLE_SSL_TRUE=
22498    ENABLE_SSL_FALSE='#'
22499   else
# Line 22395 | Line 22503 | fi
22503  
22504  
22505  
22506 + # Check whether --enable-assert was given.
22507 + if test "${enable_assert+set}" = set; then
22508 +  enableval=$enable_assert; assert=$enableval
22509 + else
22510 +  assert=no
22511 + fi
22512 +
22513 + if test "$assert" = no; then
22514 +
22515 + cat >>confdefs.h <<\_ACEOF
22516 + #define NDEBUG 1
22517 + _ACEOF
22518 + )
22519 + fi
22520 +
22521 +
22522   # Argument processing.
22523  
22524      desired_iopoll_mechanism="none"
# Line 22980 | Line 23104 | _ACEOF
23104  
23105  
23106  
22983 # Check whether --with-userlen was given.
22984 if test "${with_userlen+set}" = set; then
22985  withval=$with_userlen; userlen="$withval"
22986 else
22987  userlen="9"
22988 fi
22989
22990
22991 cat >>confdefs.h <<_ACEOF
22992 #define USERLEN ($userlen+1)
22993 _ACEOF
22994
22995
22996
22997
22998 # Check whether --with-hostlen was given.
22999 if test "${with_hostlen+set}" = set; then
23000  withval=$with_hostlen; hostlen="$withval"
23001 else
23002  hostlen="62"
23003 fi
23004
23005
23006 cat >>confdefs.h <<_ACEOF
23007 #define HOSTLEN ($hostlen+1)
23008 _ACEOF
23009
23010
23011
23012
23107   # Check whether --with-topiclen was given.
23108   if test "${with_topiclen+set}" = set; then
23109    withval=$with_topiclen; topiclen="$withval"
# Line 23130 | Line 23224 | _ACEOF
23224  
23225  
23226  
23133 # Check whether --with-ircd-heap-size was given.
23134 if test "${with_ircd_heap_size+set}" = set; then
23135  withval=$with_ircd_heap_size; ircd_heap_size="$withval"
23136 else
23137  ircd_heap_size="8"
23138 fi
23139
23140
23141 cat >>confdefs.h <<_ACEOF
23142 #define IRCD_HEAP_SIZE $ircd_heap_size
23143 _ACEOF
23144
23145
23146
23147
23148 # Check whether --with-mqueue-heap-size was given.
23149 if test "${with_mqueue_heap_size+set}" = set; then
23150  withval=$with_mqueue_heap_size; mqueue_heap_size="$withval"
23151 else
23152  mqueue_heap_size="256"
23153 fi
23154
23155
23156 cat >>confdefs.h <<_ACEOF
23157 #define MQUEUE_HEAP_SIZE $mqueue_heap_size
23158 _ACEOF
23159
23160
23161
23162
23163 # Check whether --with-fmsg-heap-size was given.
23164 if test "${with_fmsg_heap_size+set}" = set; then
23165  withval=$with_fmsg_heap_size; fmsg_heap_size="$withval"
23166 else
23167  fmsg_heap_size="256"
23168 fi
23169
23170
23171 cat >>confdefs.h <<_ACEOF
23172 #define FMSG_HEAP_SIZE $fmsg_heap_size
23173 _ACEOF
23174
23175
23176
23177
23227   # Check whether --with-nickname-history-length was given.
23228   if test "${with_nickname_history_length+set}" = set; then
23229    withval=$with_nickname_history_length; nickname_history_length="$withval"
# Line 23555 | Line 23604 | _ACEOF
23604   subdirs="$subdirs libltdl"
23605  
23606  
23607 < ac_config_files="$ac_config_files Makefile etc/Makefile etc/example.conf etc/example.conf.quick etc/example.efnet.conf servlink/Makefile contrib/Makefile contrib/help/Makefile src/Makefile messages/Makefile modules/Makefile modules/core/Makefile doc/Makefile help/Makefile help/opers/Makefile help/users/Makefile lib/Makefile lib/pcre/Makefile"
23607 > ac_config_files="$ac_config_files Makefile etc/Makefile etc/example.conf etc/example.conf.quick etc/example.efnet.conf servlink/Makefile contrib/Makefile contrib/help/Makefile src/Makefile messages/Makefile modules/Makefile modules/core/Makefile doc/Makefile help/Makefile help/opers/Makefile help/users/Makefile lib/Makefile lib/pcre/Makefile tools/Makefile"
23608  
23609  
23610   cat >confcache <<\_ACEOF
# Line 24190 | Line 24239 | do
24239      "help/users/Makefile") CONFIG_FILES="$CONFIG_FILES help/users/Makefile" ;;
24240      "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
24241      "lib/pcre/Makefile") CONFIG_FILES="$CONFIG_FILES lib/pcre/Makefile" ;;
24242 +    "tools/Makefile") CONFIG_FILES="$CONFIG_FILES tools/Makefile" ;;
24243  
24244    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
24245   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines